=== debian/changelog ===
ros-kinetic-homer-robbie-architecture (1.0.2-3xenial) xenial; urgency=high

  * changed install targets
  * Contributors: Niklas Yann Wettengel

 -- vseib <vseib@uni-koblenz.de>  Sat, 29 Oct 2016 22:00:00 -0000

ros-kinetic-homer-robbie-architecture (1.0.1-3xenial) xenial; urgency=high

  * initial commit
  * Contributors: Niklas Yann Wettengel

 -- vseib <vseib@uni-koblenz.de>  Wed, 26 Oct 2016 22:00:00 -0000
