=== debian/control ===
Source: ros-kinetic-homer-robbie-architecture
Section: misc
Priority: extra
Maintainer: vseib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgl1-mesa-dev, libglu1-mesa-dev, libopencv-dev, libtinyxml-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-roscpp
Homepage: http://ros.org/wiki/robbie_architecture
Standards-Version: 3.9.2

Package: ros-kinetic-homer-robbie-architecture
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libgl1-mesa-dev, libglu1-mesa-dev, libopencv-dev, libtinyxml-dev, ros-kinetic-roscpp
Description: robbie_architecture
